package com.dcs.equipment.exception.device;

/**
 * @author: wangpx
 * @date: 2025-07-18 11:36
 */
public class DeviceException extends RuntimeException {
    private static final long serialVersionUID = 1L;
    private String message;
    private Integer code;

    public DeviceException() {
    }

    public DeviceException(String message) {
        this.message = message;
    }

    public DeviceException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    public DeviceException(Exception e) {
        super(e);
    }
}
